/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package servidor.datos;

import java.util.*;
import java.sql.*;
import servidor.datos.base.*;
import servidor.datos.base.MemRegistro;

public class TablaCategoriasEstadisticas {
   protected String sql;
   protected ArrayList<MemRegistro> filas;

   public TablaCategoriasEstadisticas() {
      filas = new ArrayList<>(50);
   }

   public String select() {
      return sql;
   }

   public int recargar() {
      BaseDatos bd = BaseDatos.bd();
      ResultSet rs = bd.abrirTabla("SELECT * FROM CategoriasEsta");
      filas.clear();
      try {
         while (rs.next()) {
            MemRegistro mr = new RegistroCategoriaEstadistica();
            mr.cargar(rs);
            filas.add(mr);
         }
         rs.close();
      } catch (SQLException exc) {
         exc.printStackTrace();
      }
      return filas.size();
   }

   public int cargar(String sql) {
      this.sql = sql;
      return recargar();
   }

   public ArrayList<MemRegistro> registros() {
      return filas;
   }

   public int count() {
      return filas.size();
   }
}
